if include_kcalresource
TDERESOURCES_SUBDIR = tderesources
LIBKCAL_INCLUDES= $(KDE_INCLUDES)/libkcal
endif

INCLUDES= -I$(top_srcdir)/kbugbuster/backend $(all_includes) $(LIBKCAL_INCLUDES)

SUBDIRS = backend gui pics $(TDERESOURCES_SUBDIR)

bin_PROGRAMS = kbugbuster

kbugbuster_SOURCES = main.cpp
kbugbuster_LDADD   = -ltdeutils gui/libkbbmainwindow.la \
                     backend/libkbbbackend.la $(LIB_TDEHTML) $(LIB_TDEIO) -ltdefx $(LIB_TDEUTILS)
kbugbuster_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor $(LIB_TDEUTILS)

xdg_apps_DATA = kbugbuster.desktop

KDE_ICON = kbugbuster

METASOURCES = AUTO

EXTRA_DIST = AUTHORS COPYING ChangeLog INSTALL README TODO kbugbuster.lsm 

messages: rc.cpp
	$(EXTRACTRC) */*.kcfg >> rc.cpp
	$(EXTRACTRC) gui/*.rc >> rc.cpp
	$(EXTRACTRC) gui/*.ui >> rc.cpp
	$(XGETTEXT) *.cpp */*.h */*.cpp -o $(podir)/kbugbuster.pot
